;;; tabbar-autoloads.el --- automatically extracted autoloads
;;
;;; Code:

(add-to-list 'load-path (directory-file-name
                         (or (file-name-directory #$) (car load-path))))


;;;### (autoloads nil "aquamacs-compat" "aquamacs-compat.el" (24527
;;;;;;  27986 0 0))
;;; Generated autoloads from aquamacs-compat.el

(if (fboundp 'register-definition-prefixes) (register-definition-prefixes "aquamacs-compat" '("header-line-inhibit-window-list" "mac-new-buffer-name")))

;;;***

;;;### (autoloads nil "aquamacs-tabbar" "aquamacs-tabbar.el" (24527
;;;;;;  27986 0 0))
;;; Generated autoloads from aquamacs-tabbar.el

(if (fboundp 'register-definition-prefixes) (register-definition-prefixes "aquamacs-tabbar" '("fast-screen-refresh" "new-tab" "next-tab-or-buffer" "previous-tab-or-buffer" "tabbar-")))

;;;***

;;;### (autoloads nil "aquamacs-tools" "aquamacs-tools.el" (24527
;;;;;;  27986 0 0))
;;; Generated autoloads from aquamacs-tools.el

(if (fboundp 'register-definition-prefixes) (register-definition-prefixes "aquamacs-tools" '("apple-char" "assq-" "cl-incf" "fontset-exist-p" "get-" "list2english" "new-empty-buffer" "purge-session-and-auto-save-files" "running-on-a-mac-p" "url-encode-string")))

;;;***

;;;### (autoloads nil "one-buffer-one-frame" "one-buffer-one-frame.el"
;;;;;;  (24527 27986 0 0))
;;; Generated autoloads from one-buffer-one-frame.el

(if (fboundp 'register-definition-prefixes) (register-definition-prefixes "one-buffer-one-frame" '("aquamacs-" "close-" "delete-window-" "enable-one-buffer-one-frame-mode" "init-aquamacs-last-frame-empty-buffer" "killable-buffer-p" "list-buffers-here" "next-buffer-here" "obof-" "one-buffer-one-frame" "open-in-other-frame-p" "other-previous-window" "previous-buffer-here" "raise-" "switch-to-buffer-here")))

;;;***

;;;### (autoloads nil "tabbar" "tabbar.el" (24527 27986 0 0))
;;; Generated autoloads from tabbar.el

(autoload 'tabbar-backward "tabbar" "\
Select the previous available tab.
Depend on the setting of the option `tabbar-cycle-scope'." t nil)

(autoload 'tabbar-forward "tabbar" "\
Select the next available tab.
Depend on the setting of the option `tabbar-cycle-scope'." t nil)

(autoload 'tabbar-backward-group "tabbar" "\
Go to selected tab in the previous available group." t nil)

(autoload 'tabbar-forward-group "tabbar" "\
Go to selected tab in the next available group." t nil)

(autoload 'tabbar-backward-tab "tabbar" "\
Select the previous visible tab." t nil)

(autoload 'tabbar-forward-tab "tabbar" "\
Select the next visible tab." t nil)

(autoload 'tabbar-press-home "tabbar" "\
Press the tab bar home button.
That is, simulate a mouse click on that button.
A numeric prefix ARG value of 2, or 3, respectively simulates a
mouse-2, or mouse-3 click.  The default is a mouse-1 click.

\(fn &optional ARG)" t nil)

(autoload 'tabbar-press-scroll-left "tabbar" "\
Press the tab bar scroll-left button.
That is, simulate a mouse click on that button.
A numeric prefix ARG value of 2, or 3, respectively simulates a
mouse-2, or mouse-3 click.  The default is a mouse-1 click.

\(fn &optional ARG)" t nil)

(autoload 'tabbar-press-scroll-right "tabbar" "\
Press the tab bar scroll-right button.
That is, simulate a mouse click on that button.
A numeric prefix ARG value of 2, or 3, respectively simulates a
mouse-2, or mouse-3 click.  The default is a mouse-1 click.

\(fn &optional ARG)" t nil)

(autoload 'tabbar-mwheel-backward "tabbar" "\
Select the previous available tab.
EVENT is the mouse event that triggered this command.
Mouse-enabled equivalent of the command `tabbar-backward'.

\(fn EVENT)" t nil)

(autoload 'tabbar-mwheel-forward "tabbar" "\
Select the next available tab.
EVENT is the mouse event that triggered this command.
Mouse-enabled equivalent of the command `tabbar-forward'.

\(fn EVENT)" t nil)

(autoload 'tabbar-mwheel-backward-group "tabbar" "\
Go to selected tab in the previous available group.
If there is only one group, select the previous visible tab.
EVENT is the mouse event that triggered this command.
Mouse-enabled equivalent of the command `tabbar-backward-group'.

\(fn EVENT)" t nil)

(autoload 'tabbar-mwheel-forward-group "tabbar" "\
Go to selected tab in the next available group.
If there is only one group, select the next visible tab.
EVENT is the mouse event that triggered this command.
Mouse-enabled equivalent of the command `tabbar-forward-group'.

\(fn EVENT)" t nil)

(autoload 'tabbar-mwheel-backward-tab "tabbar" "\
Select the previous visible tab.
EVENT is the mouse event that triggered this command.
Mouse-enabled equivalent of the command `tabbar-backward-tab'.

\(fn EVENT)" t nil)

(autoload 'tabbar-mwheel-forward-tab "tabbar" "\
Select the next visible tab.
EVENT is the mouse event that triggered this command.
Mouse-enabled equivalent of the command `tabbar-forward-tab'.

\(fn EVENT)" t nil)

(autoload 'tabbar-mwheel-switch-tab "tabbar" "\
Select the next or previous tab according to EVENT.

\(fn EVENT)" t nil)

(autoload 'tabbar-mwheel-switch-group "tabbar" "\
Select the next or previous group of tabs according to EVENT.

\(fn EVENT)" t nil)

(autoload 'tabbar-local-mode "tabbar" "\
Toggle local display of the tab bar.
With prefix argument ARG, turn on if positive, otherwise off.
Returns non-nil if the new state is enabled.
When turned on, if a local header line is shown, it is hidden to show
the tab bar.  The tab bar is locally hidden otherwise.  When turned
off, if a local header line is hidden or the tab bar is locally
hidden, it is shown again.  Signal an error if Tabbar mode is off.

\(fn &optional ARG)" t nil)

(defvar tabbar-mode nil "\
Non-nil if Tabbar mode is enabled.
See the `tabbar-mode' command
for a description of this minor mode.
Setting this variable directly does not take effect;
either customize it (see the info node `Easy Customization')
or call the function `tabbar-mode'.")

(custom-autoload 'tabbar-mode "tabbar" nil)

(autoload 'tabbar-mode "tabbar" "\
Toggle display of a tab bar in the header line.
With prefix argument ARG, turn on if positive, otherwise off.
Returns non-nil if the new state is enabled.

\\{tabbar-mode-map}

\(fn &optional ARG)" t nil)

(defvar tabbar-mwheel-mode nil "\
Non-nil if Tabbar-Mwheel mode is enabled.
See the `tabbar-mwheel-mode' command
for a description of this minor mode.
Setting this variable directly does not take effect;
either customize it (see the info node `Easy Customization')
or call the function `tabbar-mwheel-mode'.")

(custom-autoload 'tabbar-mwheel-mode "tabbar" nil)

(autoload 'tabbar-mwheel-mode "tabbar" "\
Toggle use of the mouse wheel to navigate through tabs or groups.
With prefix argument ARG, turn on if positive, otherwise off.
Returns non-nil if the new state is enabled.

\\{tabbar-mwheel-mode-map}

\(fn &optional ARG)" t nil)

(if (fboundp 'register-definition-prefixes) (register-definition-prefixes "tabbar" '("tabbar-")))

;;;***

;;;### (autoloads nil "tabbar-window" "tabbar-window.el" (24527 27986
;;;;;;  0 0))
;;; Generated autoloads from tabbar-window.el

(if (fboundp 'register-definition-prefixes) (register-definition-prefixes "tabbar-window" '("menu-bar-select-buffer" "switch-to-buffer-in-tab" "tab" "window-number")))

;;;***

;;;### (autoloads nil nil ("tabbar-pkg.el") (24527 27986 0 0))

;;;***

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; coding: utf-8
;; End:
;;; tabbar-autoloads.el ends here
